Namespaces - Generate Report

Generate a report for a namespace. The generated report is retrieved separately via the getLatestReport action.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DeviceRegistry/namespaces/{namespaceName}/generateReport?api-version=2026-11-02-preview

URI Parameters

Name In Required Type Description
namespaceName
path True

string

minLength: 3
maxLength: 64
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

The name of the namespace.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

The request body can be one of the following:

Name Description
GroupBestUpdatesComplianceReportRequest

Request to generate a GroupBestUpdates compliance report.

GroupInstallableUpdatesReportRequest

Request to generate a GroupInstallableUpdates report.

NamespaceUpdateComplianceReportRequest

Request to generate a NamespaceUpdateCompliance report.

GroupBestUpdatesComplianceReportRequest

Request to generate a GroupBestUpdates compliance report.

Name Required Type Description
reportTarget True

string

The group that the report is generated against.

reportType True string:

GroupBestUpdatesComplianceReport

The type of report.

GroupInstallableUpdatesReportRequest

Request to generate a GroupInstallableUpdates report.

Name Required Type Description
reportTarget True

string

The group that the report is generated against.

reportType True string:

GroupInstallableUpdatesReport

The type of report.

NamespaceUpdateComplianceReportRequest

Request to generate a NamespaceUpdateCompliance report.

Name Required Type Description
reportType True string:

NamespaceUpdateComplianceReport

The type of report.

reportTarget

string

The target of this report (e.g. group resource).

Responses

Name Type Description
202 Accepted

Resource operation accepted.

Headers

  • Azure-AsyncOperation: string
  • Location: string
  • Retry-After: integer
204 No Content

Action completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Generate a group best-updates compliance report
Generate a group installable-updates report
Generate a namespace update compliance report

Generate a group best-updates compliance report

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/namespaces/my-namespace-1/generateReport?api-version=2026-11-02-preview

{
  "reportTarget": "my-group-1",
  "reportType": "GroupBestUpdatesComplianceReport"
}

Sample response

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DeviceRegistry/locations/eastus/operationStatuses/00000000-0000-0000-0000-000000000001?api-version=2026-11-02-preview
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DeviceRegistry/locations/eastus/operationStatuses/00000000-0000-0000-0000-000000000001?api-version=2026-11-02-preview
Retry-After: 30

Generate a group installable-updates report

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/namespaces/my-namespace-1/generateReport?api-version=2026-11-02-preview

{
  "reportType": "GroupInstallableUpdatesReport",
  "reportTarget": "my-group-1"
}

Sample response

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DeviceRegistry/locations/eastus/operationStatuses/00000000-0000-0000-0000-000000000001?api-version=2026-11-02-preview
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DeviceRegistry/locations/eastus/operationStatuses/00000000-0000-0000-0000-000000000001?api-version=2026-11-02-preview
Retry-After: 30

Generate a namespace update compliance report

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/namespaces/my-namespace-1/generateReport?api-version=2026-11-02-preview

{
  "reportType": "NamespaceUpdateComplianceReport"
}

Sample response

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DeviceRegistry/locations/eastus/operationStatuses/00000000-0000-0000-0000-000000000001?api-version=2026-11-02-preview
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DeviceRegistry/locations/eastus/operationStatuses/00000000-0000-0000-0000-000000000001?api-version=2026-11-02-preview
Retry-After: 30

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

GroupBestUpdatesComplianceReportRequest

Request to generate a GroupBestUpdates compliance report.

GroupInstallableUpdatesReportRequest

Request to generate a GroupInstallableUpdates report.

NamespaceUpdateComplianceReportRequest

Request to generate a NamespaceUpdateCompliance report.

ReportType

The type of report.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

GroupBestUpdatesComplianceReportRequest

Request to generate a GroupBestUpdates compliance report.

Name Type Description
reportTarget

string

The group that the report is generated against.

reportType string:

GroupBestUpdatesComplianceReport

The type of report.

GroupInstallableUpdatesReportRequest

Request to generate a GroupInstallableUpdates report.

Name Type Description
reportTarget

string

The group that the report is generated against.

reportType string:

GroupInstallableUpdatesReport

The type of report.

NamespaceUpdateComplianceReportRequest

Request to generate a NamespaceUpdateCompliance report.

Name Type Description
reportTarget

string

The target of this report (e.g. group resource).

reportType string:

NamespaceUpdateComplianceReport

The type of report.

ReportType

The type of report.

Value Description
NamespaceUpdateComplianceReport

Compliance report describing the updating state of devices in the namespace.

GroupBestUpdatesComplianceReport

Report describing the best available updates and update compliance for the devices within a group.

GroupInstallableUpdatesReport

Report listing the installable updates for the devices within a group.